import "@coral-xyz/anchor";
import "buffer";
//#region libs/shared/common/src/functions/utils/bytes32.utils.ts
var e = (e) => {
	if (e.length !== 32 || e.some((e) => !Number.isInteger(e) || e < 0 || e >= 256)) throw Error("invalid bytes32 value");
	return e.reduce((e, t) => e * 256n + BigInt(t), 0n);
};
//#endregion
export { e as convertBytes32ToBigInt };
